Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000629bareos-core[All Projects] file daemonpublic2016-02-29 21:482017-10-09 17:10
Reporteramelentjev 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSDebianOS Version7
Product Version15.2.2 
Target VersionFixed in Version16.2.7 
Summary0000629: windows: Attributes for directories not restored
DescriptionAttributes (hidden/system/compressed, etc) for directories are not restored for windows client.
Steps To ReproduceCreated two directories : one with system/hidden/not indexed, another with system/not indexed attributes.
After backup/restore procedure all attributes are gone.
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionwill care
bareos-17.2: impactyes
bareos-17.2: actionfixed
bareos-16.2: impactyes
bareos-16.2: actionfixed
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships
has duplicate 0000801closed do not apply attributes to folders (hidden and compressed) after recovery 
child of 0000836closedjoergs Release bareos-16.2.7 

-  Notes
(0002775)
pstorz (administrator)
2017-10-06 20:51

Fix committed to bareos bareos-17.2 branch with changesetid 7272.
(0002784)
stephand (developer)
2017-10-09 16:34

Fix committed to bareos bareos-16.2 branch with changesetid 7280.

- Related Changesets
bareos: bareos-17.2 219eb494
Timestamp: 2017-09-22 14:48:36
Author: pstorz
Ported: N/A
Details ] Diff ]
Windows: restore attributes on directories

For unknown reason, directories were skipped when applying
windows attributes. We now apply attributes also to directories.

We need the additional access right GENERIC_READ even when
only opening directories WRITE_ONLY, as otherwise access is
denied when applying the compressed attribute.

Fixes 0000629: windows: Attributes for directories not restored
mod - src/findlib/bfile.c Diff ] File ]
mod - src/win32/compat/compat.c Diff ] File ]
bareos: bareos-16.2 7afb66df
Timestamp: 2017-09-22 14:48:36
Author: pstorz
Committer: stephand
Ported: N/A
Details ] Diff ]
Windows: restore attributes on directories

For unknown reason, directories were skipped when applying
windows attributes. We now apply attributes also to directories.

We need the additional access right GENERIC_READ even when
only opening directories WRITE_ONLY, as otherwise access is
denied when applying the compressed attribute.

Fixes 0000629: windows: Attributes for directories not restored
mod - src/findlib/bfile.c Diff ] File ]
mod - src/win32/compat/compat.c Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-02-29 21:48 amelentjev New Issue
2017-09-23 21:49 pstorz Relationship added has duplicate 0000801
2017-10-06 20:51 pstorz Changeset attached => bareos bareos-17.2 219eb494
2017-10-06 20:51 pstorz Note Added: 0002775
2017-10-06 20:51 pstorz Status new => resolved
2017-10-06 20:51 pstorz Resolution open => fixed
2017-10-07 21:58 joergs bareos-master: impact => yes
2017-10-07 21:58 joergs bareos-master: action => will care
2017-10-07 21:58 joergs bareos-17.2: impact => yes
2017-10-07 21:58 joergs bareos-17.2: action => fixed
2017-10-07 21:58 joergs bareos-16.2: impact => yes
2017-10-07 21:58 joergs Fixed in Version => 17.2.4
2017-10-09 15:24 joergs Relationship added child of 0000836
2017-10-09 16:34 stephand Changeset attached => bareos bareos-16.2 7afb66df
2017-10-09 16:34 stephand Note Added: 0002784
2017-10-09 17:10 joergs bareos-16.2: action => fixed
2017-10-09 17:10 joergs Status resolved => closed
2017-10-09 17:10 joergs Fixed in Version 17.2.4 => 16.2.7


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker